org.eclnt.jsfserver.defaultscreens

## Class IdTextSelection.IdTextLine

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.FIXGRIDItem
  - - org.eclnt.jsfserver.defaultscreens.IdTextSelection.IdTextLine

- All Implemented Interfaces:
    java.io.Serializable, IFIXGRIDItem
  Enclosing class:
    IdTextSelection

      public static class IdTextSelection.IdTextLine
      extends FIXGRIDItem
      implements java.io.Serializable

  Representation of one selectable value line.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `ROWHEIGHT_DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IdTextLine(IdTextSelection idts, java.lang.String id, java.lang.String text)`
    `IdTextLine(IdTextSelection idts, java.lang.String id, java.lang.String text, java.lang.String image)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBgpaint()`
    `java.lang.String` | `getId()`
    `java.lang.String` | `getImage()`
    `boolean` | `getSelectable()`
    `java.lang.String` | `getText()`
    `void` | `onRowExecute()` Reaction on row executions in the client (double click, return key selection).
    `void` | `setBgpaint(java.lang.String value)`
    `void` | `setSelectable(boolean selectable)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.FIXGRIDItem

      `assignRowComponent, checkIfCellIsHighlighted, checkIfCellsAreHighlighted, getChangeIndex, getHighlightedCells, getRequestFocus, getRowHeight, getSelected, highlightCell, onRowDeselect, onRowDrop, onRowPopupMenuItem, onRowPopupMenuLoad, onRowSelect, requestFocus, setRowHeight, setSelected, unhighlightAllCells, unhighlightCell, unrequestFocus`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IdTextLine

          public IdTextLine(IdTextSelection idts,
                            java.lang.String id,
                            java.lang.String text)

    - #### IdTextLine

          public IdTextLine(IdTextSelection idts,
                            java.lang.String id,
                            java.lang.String text,
                            java.lang.String image)

  - ### Method Detail

    - #### getId

          public java.lang.String getId()

    - #### getText

          public java.lang.String getText()

    - #### getImage

          public java.lang.String getImage()

    - #### setBgpaint

          public void setBgpaint(java.lang.String value)

    - #### getBgpaint

          public java.lang.String getBgpaint()

    - #### getSelectable

          public boolean getSelectable()

    - #### setSelectable

          public void setSelectable(boolean selectable)

    - #### onRowExecute

          public void onRowExecute()

      Description copied from class: `FIXGRIDItem`
      Reaction on row executions in the client (double click, return key selection).
      Specified by:
        `onRowExecute` in interface `IFIXGRIDItem`
      Overrides:
        `onRowExecute` in class `FIXGRIDItem`

Copyright © CaptainCasa Gmbh. All Rights Reserved.